////////////////////////////////////////////////////
// Parametric Sinclair ZX Printer timing belt V0.1//
// It is licensed under the Creative Commons      //
// GNU GPL license 2013 by Imre Jakli             //
////////////////////////////////////////////////////
// -1.13 needed for me because of the first layer flattening
// (... probably due to my bad printer calibration...)

// Parameters of the belt
beltheight=0.3;
beltwidth=5-1.13;
toothdist=5.84;
length=toothdist*23;

module zx_printer_timing_belt() {
	difference() {
		union() {
			cube([length,beltwidth,beltheight]);
			for (x=[toothdist/3:toothdist:length-toothdist/3]) {
				translate([x,beltwidth,beltheight-0.001]) rotate([90,0,0]) linear_extrude(height=beltwidth,convexity=10,twist=0) polygon(points=[[0,0],[1,0],[0.75,0.6],[0.25,0.6]]);
			}
			translate([toothdist/3+0.45+2*toothdist,0,beltheight-0.001]) rotate([90,0,0]) cylinder(h=2.2,r=0.45,$fn=30);
			translate([toothdist/3+2*toothdist,0,0]) rotate([90,0,0]) cube([0.9,beltheight,2.2]);
			translate([-1.5,beltwidth/3,0]) cube([1.5,beltwidth/3,beltheight]);
		}
		translate([length-1.5,beltwidth/3,0]) cube([1.5,beltwidth/3,beltheight]);
	}
}

translate([0, 5,0]) zx_printer_timing_belt();
translate([0,-5,0]) zx_printer_timing_belt();